# Package org.glassfish.jersey.model

Common Jersey model related classes and interfaces.

See: Description

Interface Summary
NameBound: Model component that can be name bound.
Parameter.ParamAnnotationHelper<T extends Annotation>
Parameter.ParamCreationFactory<PARAMETER extends Parameter>: A factory service to found in a runtime to be used to instantiate the given `Parameter` class.
Scoped: Scoped Jersey application model component.

Class Summary
AnnotatedMethod: Annotated method representation.
ContractProvider: Jersey contract provider model.
ContractProvider.Builder: Contract provider model builder.
Parameter
Parameter.ParameterService

Enum Summary
Parameter.Source: Parameter injection sources type.

## Package org.glassfish.jersey.model Description

Common Jersey model related classes and interfaces. In this package can be found classes related to injection scopes, common configuration, injections and providers.